View Issue Details

IDProjectCategoryView StatusLast Update
0003395SymmetricDSImprovementpublic2018-03-12 08:28
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.3 
Target Version3.9.4Fixed in Version3.9.4 
Summary0003395: Evaluate the use of the jsch dependency in SymmetricDS
DescriptionAn open source user reported a medium security vulnerability in com.jcraft:jsch:0.1.48. Evaluate if this dependency is actually needed in runtime SymmetricDS.

Removing this dependency.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 edc03d1a

2018-01-31 13:34:34

mmichalek

Details Diff
0003395: Evaluate the use of the jsch dependency in SymmetricDS
0003395
mod - symmetric-client/build.gradle Diff File

Issue History

Date Modified Username Field Change
2018-01-31 12:48 mmichalek New Issue
2018-01-31 12:48 mmichalek Status new => assigned
2018-01-31 12:48 mmichalek Assigned To => mmichalek
2018-02-06 16:21 mmichalek Status assigned => resolved
2018-02-06 16:21 mmichalek Resolution open => fixed
2018-02-06 16:21 mmichalek Fixed in Version => 3.9.4
2018-02-06 16:21 mmichalek Description Updated View Revisions
2018-02-14 15:08 mmichalek Changeset attached => SymmetricDS 3.9 edc03d1a
2018-03-12 08:28 chenson Status resolved => closed